class Garen::Base
  def make_request(conn, endpoint, options)
    @request = conn.get endpoint, options
    return attach_rate_limits if options[:return_rate_limits].present?
    @request.body
  end

  def attach_rate_limits
    body = {}
    body[:response] = @request.body
    body[:rate_limit] = {}
    body[:rate_limit][:app_count] = @request.headers['x-app-rate-limit-count'].to_s
    body[:rate_limit][:method_count] = @request.headers['x-method-rate-limit-count'].to_s
    Hashie::Mash.new body
  end
end
